### Constructor

# Ide Workbench new_for_context

#### Declaration

    IdeWorkbench*
    ide_workbench_new_for_context (
      IdeContext* context
    )

#### Description

Creates a new `IdeWorkbench` using `context` for the `IdeWorkbench:context`.

Available since: | 3.32

#### Parameters

`context` | `IdeContext`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeWorkbench`
| An `IdeWorkbench`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.